Bug 731224 - [virt-manager]block device default io mode should be native
Summary: [virt-manager]block device default io mode should be native
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 03:41 UTC by zhe peng
Modified: 2014-07-06 19:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-08 00:24:35 UTC


Attachments (Terms of Use)

Description zhe peng 2011-08-17 03:41:35 UTC
Description of problem:
when setting io mode to default in virt-manager for block device,should automatic attach io=native to guest

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-5.el6
python-virtinst-0.600.0-2.el6
libvirt-0.9.4-2.el6
qemu-kvm-0.12.1.2-2.177.el6

How reproducible:
always

Steps to Reproduce:
1.install guest with a block device.
#virsh dumpxml demo
.....
 <disk type='block' device='disk'>
      <driver name='qemu' type='raw' cache='none' io='native'/>
      <source dev='/dev/sda2'/>
      <target dev='hdb' bus='ide'/>
      <alias name='ide0-0-1'/>
      <address type='drive' controller='0' bus='0' unit='1'/>
    </disk>
.....
the io mode set to native automatic.
2.shutdown the guest ,in virt-manager ,switch to guest detail page
3.change io mode to default and apply
4.start the guest
  
Actual results:
in guest xml,io='native' removed,
#ps -ef | grep qemu-kvm
aio=native removed from block device

Expected results:
the qemu default io mode is threads,actually block device default mode is native,
so should add io='native' when setting default mode for block device

Additional info:

Comment 1 Cole Robinson 2011-08-29 15:16:33 UTC
Hmm, we have usually had 'default' mean 'hypervisor default' so the behavior is consistent, but I agree it's a bit misleading.

Comment 3 Cole Robinson 2011-12-09 23:05:13 UTC
Not urgent, and given reduced capacity for virt-manager/virtinst, just moving
this to the upstream tracker.

Comment 4 Cole Robinson 2012-02-08 00:24:35 UTC
Actually, reconsidering, this is the best we can do, short of having libvirt and qemu report default capabilities to us. Trying to hardcode what the default is just causes maintenance pain, especially in this case when it isn't having any effect on actual configuration. Closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.